com.smartgwt.client.data

## Class TextSettings

- java.lang.Object
- - com.smartgwt.client.core.BaseClass
  - - com.smartgwt.client.data.TextSettings

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers
  Direct Known Subclasses:
    TextExportSettings, TextImportSettings

      public class TextSettings
      extends BaseClass

  Common base class of `TextImportSettings`.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.BaseClass

      `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextSettings()`
    `TextSettings(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.core.client.JavaScriptObject` | `create()`
    `EscapingMode` | `getEscapingMode()` `EscapingMode` expected for escaping special characters embedded in text values.
    `java.lang.String[]` | `getFieldList()` For export, a set of fields to export.
    `java.lang.String` | `getFieldSeparator()` Separator between field values.
    `com.google.gwt.core.client.JavaScriptObject` | `getJsObj()`
    `java.lang.String` | `getLineSeparator()` Separator between Records.
    `com.google.gwt.core.client.JavaScriptObject` | `getOrCreateJsObj()`
    `static TextSettings` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `boolean` | `isCreated()`
    `void` | `setEscapingMode(EscapingMode escapingMode)` `EscapingMode` expected for escaping special characters embedded in text values.
    `void` | `setFieldList(java.lang.String... fieldList)` For export, a set of fields to export.
    `void` | `setFieldSeparator(java.lang.String fieldSeparator)` Separator between field values.
    `void` | `setJavaScriptObject(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `void` | `setLineSeparator(java.lang.String lineSeparator)` Separator between Records.

    - ### Methods inherited from class com.smartgwt.client.core.BaseClass

      `applyFactoryProperties, asSGWTComponent, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getID, getRef, getScClassName, getTestInstance, hasAutoAssignedID, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, onInit, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setFactoryCreated, setID, setProperty, setProperty, setProperty, setProperty, setScClassName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextSettings

          public TextSettings()

    - #### TextSettings

          public TextSettings(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static TextSettings getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setJavaScriptObject

          public void setJavaScriptObject(com.google.gwt.core.client.JavaScriptObject jsObj)

      Overrides:
        `setJavaScriptObject` in class `BaseClass`

    - #### create

          public com.google.gwt.core.client.JavaScriptObject create()

      Specified by:
        `create` in class `BaseClass`

    - #### isCreated

          public boolean isCreated()

      Overrides:
        `isCreated` in class `BaseClass`

    - #### getJsObj

          public com.google.gwt.core.client.JavaScriptObject getJsObj()

      Overrides:
        `getJsObj` in class `BaseClass`

    - #### getOrCreateJsObj

          public com.google.gwt.core.client.JavaScriptObject getOrCreateJsObj()

      Overrides:
        `getOrCreateJsObj` in class `BaseClass`

    - #### setEscapingMode

          public void setEscapingMode(EscapingMode escapingMode)
                               throws java.lang.IllegalStateException

      `EscapingMode` expected for escaping special characters embedded in text values.
      Parameters:
        `escapingMode` - Default value is "backslash"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getEscapingMode

          public EscapingMode getEscapingMode()

      `EscapingMode` expected for escaping special characters embedded in text values.
      Returns:
        EscapingMode

    - #### setFieldList

          public void setFieldList(java.lang.String... fieldList)
                            throws java.lang.IllegalStateException

      For export, a set of fields to export. Default is to export all DataSource fields.

      Fields may be specified that are not in the DataSource but for which data values are present in the provided Records. In this case the field is assumed to be of type "text".

      For import, names of DataSource fields to use to parse values, in order.

      If `fieldList` is unset, DataSource fields are used, in order.

      If more values exist in a given Record than the listed fields or than all DataSource fields, remaining values are ignored.

      Parameters:
        `fieldList` - Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getFieldList

          public java.lang.String[] getFieldList()

      For export, a set of fields to export. Default is to export all DataSource fields.

      Fields may be specified that are not in the DataSource but for which data values are present in the provided Records. In this case the field is assumed to be of type "text".

      For import, names of DataSource fields to use to parse values, in order.

      If `fieldList` is unset, DataSource fields are used, in order.

      If more values exist in a given Record than the listed fields or than all DataSource fields, remaining values are ignored.

      Returns:
        String...

    - #### setFieldSeparator

          public void setFieldSeparator(java.lang.String fieldSeparator)
                                 throws java.lang.IllegalStateException

      Separator between field values. Default is a comma character, producing CSV (comma-separated values) format.
      Parameters:
        `fieldSeparator` - Default value is ","
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getFieldSeparator

          public java.lang.String getFieldSeparator()

      Separator between field values. Default is a comma character, producing CSV (comma-separated values) format.
      Returns:
        String

    - #### setLineSeparator

          public void setLineSeparator(java.lang.String lineSeparator)
                                throws java.lang.IllegalStateException

      Separator between Records. For import, default of null means that either the Unix/Mac format of just a newline ("\n") or the typical DOS/Windows format of a carriage return and newline ("\r\n") will be accepted. For export, overridden in `TextExportSettings`.
      Parameters:
        `lineSeparator` - Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getLineSeparator

          public java.lang.String getLineSeparator()

      Separator between Records. For import, default of null means that either the Unix/Mac format of just a newline ("\n") or the typical DOS/Windows format of a carriage return and newline ("\r\n") will be accepted. For export, overridden in `TextExportSettings`.
      Returns:
        String